---
title: Community
permalink: /docs/community/
redirect_from: "/help/index.html"
---

## Jekyll Contributor Code of Conduct

As contributors and maintainers of this project, and in the interest of fostering an open and welcoming community, we pledge to respect all people who contribute through reporting issues, posting feature requests, updating documentation, submitting pull requests or patches, and other activities.

Read the full [code of conduct]({{ '/docs/conduct/' | relative_url }})

## Reporting Security Vulnerabilities

Find something in our codebase that could be exploited by malicious elements?

Consult our [Security Policy]({{ '/docs/security/' | relative_url }}) to see if a product version is considered *outdated* and how to report
the situation responsibly.

## Where to get support

If you're looking for support for Jekyll, there are a lot of options:

* Read the [Jekyll Documentation]({{ '/docs/' | relative_url }})
* If you have a question about using Jekyll, start a discussion on the [Jekyll Forum](https://talk.jekyllrb.com/) or [StackOverflow](https://stackoverflow.com/questions/tagged/jekyll)
* Chat with Jekyllers &mdash; Join our [Gitter channel](https://gitter.im/jekyll/jekyll) or our IRC channel #jekyll on [Libera](irc://irc.libera.chat/#jekyll).

There are a bunch of helpful community members on these services who are willing to point you in the right direction.

**Reminder: Jekyll's issue tracker is not a support forum.**

## Ways to contribute

* [How to Contribute]({{ '/docs/contributing/' | relative_url }})
* [How to file a bug]({{ '/docs/community/bug/' | relative_url }})
* [Guide for maintaining Jekyll]({{ '/docs/maintaining/' | relative_url }})

## Jekyllconf

[Watch videos]({{ '/jekyllconf/' | relative_url }}) from members of the Jekyll community speak about interesting use cases, tricks they’ve learned or meta Jekyll topics.

## Jekyll on Twitter

The [official Jekyll Twitter account](https://twitter.com/jekyllrb).
